package com.jeeplus.modules.sg.overheadline.service;

import com.jeeplus.modules.sg.overheadline.entity.JkxlAdjustFee;
import com.jeeplus.modules.sg.overheadline.mapper.FeeAdjustMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class FeeAdjustService {
    @Autowired
    private FeeAdjustMapper feeAdjustMapper;



   public List<JkxlAdjustFee> getTzFee(JkxlAdjustFee jkxlAdjustFee){
       return feeAdjustMapper.getTzFee(jkxlAdjustFee);
   }

    @Transactional
   public void   updateFee(JkxlAdjustFee jkxlAdjustFee){
       String type  = jkxlAdjustFee.getType();
       if(type.equals("补增值税税率调整差额")){
           type = "1";
       } else {
           type = "2";
       }
       jkxlAdjustFee.setType(type);
       jkxlAdjustFee.setFee(0.00);
        feeAdjustMapper.updateTzFee(jkxlAdjustFee);
   }

    @Transactional
    public void saveTzFee(double[] wbs,String id){
       JkxlAdjustFee jkxlAdjustFee = new JkxlAdjustFee();
       JkxlAdjustFee jkxlAdjustFee1 = new JkxlAdjustFee();
       jkxlAdjustFee.setId(id);
       jkxlAdjustFee1.setId(id);
       jkxlAdjustFee.setType("1");
       jkxlAdjustFee1.setType("2");
       jkxlAdjustFee.setFee(wbs[0]);
       jkxlAdjustFee1.setFee(wbs[1]);
       feeAdjustMapper.saveTzFee(jkxlAdjustFee);
       feeAdjustMapper.saveTzFee(jkxlAdjustFee1);
    }
}
